commit:     e8a0f53e31137e5e8b6b77bd45f756c762beedf2
Author:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
AuthorDate: Sun Jun 27 11:09:56 2021 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
CommitDate: Sun Jun 27 11:09:56 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e8a0f53e

dev-python/sphinxcontrib-trio: import from ::guru

Package-Manager: Portage-3.0.20, Repoman-3.0.3
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> gentoo.org>

 dev-python/sphinxcontrib-trio/Manifest             |  1 +
 dev-python/sphinxcontrib-trio/metadata.xml         | 17 ++++++++++
 .../sphinxcontrib-trio-1.1.2.ebuild                | 38 ++++++++++++++++++++++
 3 files changed, 56 insertions(+)

diff --git a/dev-python/sphinxcontrib-trio/Manifest 
b/dev-python/sphinxcontrib-trio/Manifest
new file mode 100644
index 00000000000..4a31a932f9f
--- /dev/null
+++ b/dev-python/sphinxcontrib-trio/Manifest
@@ -0,0 +1 @@
+DIST sphinxcontrib-trio-1.1.2.tar.gz 24131 BLAKE2B 
5ddaf5ed6c85905275e206fdd966745ce4dd7296595c488864df291cb7202725ccab722f306dd9d6c27d660f5cb3e43bf9ab2fe50e8aa5a7232c2615dddbdfd0
 SHA512 
cb90f37f463fbdd3f810eb6d76b4bdaaabe83317de0ad747fcee55980849d691e272884ecdfcbee58851cf536f268f2520caba281d7550fe3250e92c69164434

diff --git a/dev-python/sphinxcontrib-trio/metadata.xml 
b/dev-python/sphinxcontrib-trio/metadata.xml
new file mode 100644
index 00000000000..0cfc4ecfa6b
--- /dev/null
+++ b/dev-python/sphinxcontrib-trio/metadata.xml
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+
+<pkgmetadata>
+       <maintainer type="person">
+               <email>andrewammerl...@gentoo.org</email>
+               <name>Andrew Ammerlaan</name>
+       </maintainer>
+       <stabilize-allarches/>
+       <longdescription lang="en">
+This sphinx extension helps you document Python code that uses async/await, or 
abstract methods, or context managers, or generators, or … you get the idea. It 
works by making sphinx’s regular directives for documenting Python functions 
and methods smarter and more powerful. The name is because it was originally 
written for the Trio project, and I’m not very creative. But don’t be put off – 
there’s nothing Trio- or async-specific about this extension; any Python 
project can benefit. (Though projects using async/await probably benefit the 
most, since sphinx’s built-in tools are especially inadequate in this case.)
+       </longdescription>
+       <upstream>
+               <remote-id 
type="github">python-trio/sphinxcontrib-trio</remote-id>
+               <remote-id type="pypi">sphinxcontrib-trio</remote-id>
+       </upstream>
+</pkgmetadata>

diff --git a/dev-python/sphinxcontrib-trio/sphinxcontrib-trio-1.1.2.ebuild 
b/dev-python/sphinxcontrib-trio/sphinxcontrib-trio-1.1.2.ebuild
new file mode 100644
index 00000000000..384fc0ddd4c
--- /dev/null
+++ b/dev-python/sphinxcontrib-trio/sphinxcontrib-trio-1.1.2.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{8..10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Make Sphinx better at documenting Python functions and methods"
+HOMEPAGE="
+       https://github.com/python-trio/sphinxcontrib-trio
+       https://pypi.org/project/sphinxcontrib-trio
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="|| ( Apache-2.0 MIT )"
+KEYWORDS="~amd64"
+SLOT="0"
+
+RDEPEND="dev-python/sphinx[${PYTHON_USEDEP}]"
+
+BDEPEND="
+       test? (
+               dev-python/async_generator[${PYTHON_USEDEP}]
+               dev-python/contextlib2[${PYTHON_USEDEP}]
+               dev-python/cssselect[${PYTHON_USEDEP}]
+               dev-python/lxml[${PYTHON_USEDEP}]
+)"
+
+# AttributeError: 'Sphinx' object has no attribute 'add_stylesheet'
+#distutils_enable_sphinx docs/source
+distutils_enable_tests pytest
+
+python_test() {
+       # https://github.com/python-trio/sphinxcontrib-trio/issues/260
+       epytest --deselect tests/test_sphinxcontrib_trio.py::test_end_to_end
+}

Reply via email to